Skip to main content
PUT
/
v1
/
projects
/
{projectId}
/
test-suites
/
{testSuiteId}
Update test suite
curl --request PUT \
  --url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "testCaseIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "data": {
    "id": "<string>",
    "projectId": "<string>",
    "name": "<string>",
    "testCaseIds": [
      "<string>"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

testSuiteId
string
required

The test suite ID

Body

application/json
name
string
Minimum string length: 1
testCaseIds
string<uuid>[]
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

OK

data
object
required